#module imports
from fielddisplay import fielddisplay

class miscellaneous:
	#properties
	def __init__(self):
		# {{{ Properties
		self.notes = ''
		self.name  = ''
		self.dummy = {}

		#set defaults
		self.setdefaultparameters()

		#}}}
	def __repr__(obj):
		# {{{ Display
		string='   miscellaneous parameters:'

		string="%s\n\n%s"%(string,fielddisplay(obj,'notes','notes in a cell of strings'))
		string="%s\n%s"%(string,fielddisplay(obj,'name','model name'))
		string="%s\n%s"%(string,fielddisplay(obj,'dummy','empty field to store some data'))
		return string
		#}}}
		
	def setdefaultparameters(obj):
		# {{{setdefaultparameters
		return obj
	#}}}

